Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001062Core InformModel worldpublic2013-01-03 15:022014-05-07 07:33
Reporterxexeo 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001062: The carrying capacity is ignored when entering.
DescriptionA supporter with carriage capacity 1 can hold two things if you put on one and enter it.
Minimal Source Text To Reproduce
A chair is a kind of supporter that is enterable with carrying capacity 1. 

Room1 is a room.
Chair1 is a chair in room1.
Thing1 is a thing in room1.
----
Additional InformationYou can see Chair1 and thing1 here.

>get thing1
Taken.

>put thing1 on chair1
You put thing1 on Chair1.

>enter chair1
You get onto Chair1.

On Chair1 you can see thing1.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002482)
graham (administrator)
2014-02-12 13:48

There's something faintly unreal about this - any object with limited carrying capacity that is unlikely to consistently model the size of something like a pencil as compared with a human being - but sure. There's now a new rule, the "can't enter if this exceeds carrying capacity rule".

- Issue History
Date Modified Username Field Change
2013-01-03 15:02 xexeo New Issue
2013-01-03 19:37 EmacsUser Category Actions => Model world
2013-01-03 19:37 EmacsUser Summary Putting 2 things in a supporter with carriage capacity 1 => The carrying capacity is ignored when entering.
2013-01-03 19:37 EmacsUser Status new => confirmed
2014-02-12 13:48 graham Note Added: 0002482
2014-02-12 13:48 graham Status confirmed => resolved
2014-02-12 13:48 graham Resolution open => fixed
2014-02-12 13:48 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker